GET /v1/events

stripe.com

Summary:
Operation ID: GetEvents
Auth: unknown
Description

<p>List events, going back up to 30 days. Each event data is rendered according to Stripe API version at its creation time, specified in <a href="/docs/api/events/object">event object</a> <code>api_version</code> attribute (not according to your current Stripe API version or <code>Stripe-Version</code> header).</p>

Parameters (8)

created (?, query, optional)
delivery_success (boolean, query, optional)

Filter events by whether all webhooks were successfully delivered. If false, events which are still pending or have failed all delivery attempts to a webhook endpoint will be returned.

ending_before (string, query, optional)

A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

Constraints: {'maxLength': 5000}

expand (array, query, optional)

Specifies which fields in the response should be expanded.

limit (integer, query, optional)

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after (string, query, optional)

A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

Constraints: {'maxLength': 5000}

type (string, query, optional)

A string containing a specific event name, or group of events using * as a wildcard. The list will be filtered to include only events with a matching event property.

Constraints: {'maxLength': 5000}

types (array, query, optional)

An array of up to 20 strings containing specific event names. The list will be filtered to include only events with a matching event property. You may pass either `type` or `types`, but not both.

No probe data for this endpoint yet.